.city_selector {
    display: flex;
    justify-content: center;
    align-items: center;
    position: relative;
    height: 41px;
}

.dark_wall {
    display: none;
    background: black;
    overflow: hidden;
    z-index: 1;
    opacity: 0.5;
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
}

.city_pick {
    cursor: pointer;
    border: 1px solid #EC506F;
    padding: 5px 15px 5px 15px;
    border-radius: 5px 5px 5px 5px;
    font-size: 14px;
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 5px;
    height: max-content;
    z-index: 10001;
    background: white;
}

.city_pick.city_pick_open .down_arrow {
    transform: scale(-1);
}

.city_pick_open {
    border-radius: 15px 15px 0px 0px;
    border: 1px solid #EC506F;
    border-bottom: unset;
}

.city_pick_more .hidden {
    display: none;
}

.hide_body {
    opacity: 0.1;
}

.city_pick_more {
    position: absolute;
    top: 36px;
    left: -100px;
    background: white;
    padding: 30px;
    border: 1px solid #EC506F;
    border-radius: 25px;
    width: max-content;
    z-index: 10000;
    display: none;
}

.city_pick_more a {
    color: #EC506F;
    text-decoration: underline;
}

.city_pick_more input {
    margin-bottom: 30px;
    min-width: 90%;
    border-radius: 5px;
    border: 1px solid black;
    margin-top: 5px;
}

.pick_region {
    font-size: 27px;
}

.close_pick_more {
    position: absolute;
    top: 7px;
    right: 7px;
    cursor: pointer
}

.pick_search_icon {
    margin-left: -30px;
    cursor: pointer;
}

@media screen and (max-width: 1024px) {
    .city_pick_more {
        right: -30px;
        left: unset;
        top: 34px;
    }

    .pick_region {
        font-size: 24px;
    }

    .mobile_hide_text {
        display: none;
    }
}

@media screen and (max-width: 768px) {
    .pick_region {
        font-size: 14px;
    }

}